---
title: Delete Deployment
description: Delete a deployment by ID. This will delete the deployment from Vercel.
docs_index: /docs/llms.txt
lastUpdated: 2026-11-21
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Delete a deployment by ID. This will delete the deployment from Vercel.

#### `DELETE /v1/deployments/{deploymentId}`

> **Deprecated**: This method is deprecated. Use the [Vercel API](https://docs.vercel.com/docs/rest-api/reference/endpoints/deployments/delete-a-deployment) directly to delete deployments.

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.deployments.delete({
  deploymentId: '123',
})

console.log(result)
```

```bash
curl -X DELETE https://api.v0.dev/v1/deployments/123   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"
```

## API Signature

### Request

#### Path Parameters

- `deploymentId: string` Path parameter "deploymentId"

### Response

- `id: string`
- `object: 'deployment'`
- `deleted: 'true'`

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)